[SciPy-User] scipy 0.9 deb

Josselin Jacquard josselin.jacquard@gmail....
Wed Nov 10 13:55:14 CST 2010


2010/11/10 Pauli Virtanen <pav@iki.fi>:
> Wed, 10 Nov 2010 18:16:57 +0100, Josselin Jacquard wrote:
> [clip: .deb]
>> Does anyone has a package for latest numpy and scipy ? Thanks in
>> advance.
>>
>> If not, I see the code of this class in interpnd.pyx Does anyone see how
>> to incorporate such a file in a basic python project (I'm fairly new to
>> python)
>
> The easiest way is to download the source code for the current
> development version, and install it to your home directory:
>
>        python setup.py install --user
>
> It goes under ~/.local/lib. Before that, you also need to do the same for
> Numpy 1.5.

Thanks the compilation and import is working.

I'm able to construct my Cloutch interpolator, but I don't know how to
evaluate it on a given point.
I see in the pyx file this declaration def _evaluate_${DTYPE}(self,
np.ndarray[np.double_t, ndim=2] xi), but I don't know how to call it :

self.interpolator = CloughTocher2DInterpolator(self.srcdots, self.dstdots)
result = self.interpolator._evaluate_((x,y)) #is this correct ?

Thanks in advance

Joss

>
> --
> Pauli Virtanen
>
> _______________________________________________
> SciPy-User mailing list
> SciPy-User@scipy.org
> http://mail.scipy.org/mailman/listinfo/scipy-user
>


More information about the SciPy-User mailing list